var
  oIni:TIniFile;

// --- SQL

function SQLStr(sStr:string):string;
begin
  Result:=Trim(ReplaceStr(sStr,'''',''''''));
end;

// --- INI

// f.Position:=poDesigned;
procedure IniGetPos(f:TAForm);
var
  s:string;  
  a:array of string;
begin
  s:=oIni.ReadString(f.Name,'XYWH','');
  if (s<>'') then
  begin
    a:=SplitString(s,',');
    f.Left:=StrToInt(a[0]);
    f.Top:=StrToInt(a[1]);  
    f.Width:=StrToInt(a[2]);
    f.Height:=StrToInt(a[3]);
  end
  else
  begin
    f.Left:=(Screen.Width - f.Width) div 2;
    f.Top:=(Screen.Height - f.Height) div 2;
  end;
end;

procedure IniSetPos(f:TAForm);
begin
  oIni.WriteString(f.Name,'XYWH',IntToStr(f.Left)+','+IntToStr(f.Top)+','+IntToStr(f.Width)+','+IntToStr(f.Height));
end;

procedure IniGetGrd(f:TAForm;s:string);
var
  i,r:integer;
  n,w:string;
  g:TdbStringGridEx;
begin
  r:=-1;
  i:=f.ComponentCount-1;
  while (i>=0) do
  begin
    if (f.Components[i].Name=s) then r:=i;
    Dec(i);
  end;
  if (r>=0) and (f.Components[r] is TdbStringGridEx) then
  begin
    n:=f.Name+'.'+s;
    g:=TdbStringGridEx(f.Components[r]);
    for i:=0 to g.Columns.Count-1 do
    begin
      w:=oIni.ReadString(n,ReplaceStr(g.Columns[i].Header.Caption,' ','_'),'');
      if (w<>'') then g.Columns[i].Width:=StrToInt(w);
    end;
  end;
end;

procedure IniSetGrd(f:TAForm;s:string);
var
  i,r:integer;
  n:string;
  g:TdbStringGridEx;
begin
  r:=-1;
  i:=f.ComponentCount-1;
  while (i>=0) do
  begin
    if (f.Components[i].Name=s) then r:=i;
    Dec(i);
  end;
  if (r>=0) and (f.Components[r] is TdbStringGridEx) then
  begin
    n:=f.Name+'.'+s;
    g:=TdbStringGridEx(f.Components[r]);
    for i:=0 to g.Columns.Count-1 do
    begin
      oIni.WriteString(n,ReplaceStr(g.Columns[i].Header.Caption,' ','_'),IntToStr(g.Columns[i].Width));
    end;
  end;
end;

// --- FRM

// ---

begin
  oIni := TIniFile.Create(Copy(TApplication.ExeName,1,Length(TApplication.ExeName)-3)+'ini');
end.